# Function : Object
Return to: Jaxer Framework index

A collection of Jaxer extensions for the JavaScript Function object

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
proxy : Boolean Use the proxy property to specify if this function should be callable from the client. If a function is not marked for proxy, it will not be callable on the server. Valid values are "true" or "false". | No Details | 1.0 | no

runat : String Use the runat property inside of a "script" tag to specify whether to run the JavaScript on the server-side, client-side, or both. Use this property to inject proxies into the client. Valid values are "client", "server," "both", "server-proxy", "server-nocache", "both-proxy", and "both-nocache". | No Details | 1.0 | no

aptana_docs